Thread (4 messages) flat view 4 messages, 2 authors, 2016-06-15
STALE3745d

[PATCH] t7508: add a test for "git status" in a read-only repository

From: Markus Heidelberg <hidden>
Date: 2016-06-15 22:48:33
Subsystem: the rest · Maintainer: Linus Torvalds

Signed-off-by: Markus Heidelberg <redacted>
---
 t/t7508-status.sh |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)
diff --git a/t/t7508-status.sh b/t/t7508-status.sh
index c317bde..baa8d7b 100755
--- a/t/t7508-status.sh
+++ b/t/t7508-status.sh
@@ -703,4 +703,14 @@ test_expect_success 'commit --dry-run submodule summary (--amend)' '
 	test_cmp expect output
 '
 
+test_expect_success POSIXPERM 'status succeeds in a read-only repository' '
+	(
+		chmod a-w .git &&
+		git status
+	)
+	status=$?
+	chmod 775 .git
+	(exit $status)
+'
+
 test_done
-- 
1.7.0.4.304.gc2d16
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help